#include "widget.h"
#include <QtGui>
#include <QDebug>

Widget::Widget(QWidget *parent) :
    QWidget(parent){
    setupUi(this);

    //QImageReader *imagereader = new QImageReader( ":/aust.mng" );
    QImageReader *imagereader = new QImageReader( ":/aaa.mng" );
    imagereader->read();

    if (imagereader->supportsAnimation()) qDebug("GOOD");
    else qDebug("BAD");

    qDebug() << "frame count: " << imagereader->imageCount();

    imagereader->jumpToImage( 0 ); // OK
    imagereader->jumpToNextImage(); // CRASH

}
